# PSF-LoginServer - master - net.psforever.objects.avatar.Certification
PSF - LoginServer - master - net.psforever.objects.avatar.Certification
Keywords: PSF LoginServer master net.psforever.objects.avatar.Certification

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
- Avatar
- Avatars
- BattleRank
- Certification
- CommandRank
- CorpseControl
- Cosmetic
- DeployableToolbox
- FirstTimeEvents
- Implant
- LoadoutManager
- PlayerControl
- SpecialCarry

c

net.psforever.objects.avatar

# Certification 

###
Companion object Certification

#### sealed abstract class Certification extends IntEnumEntry

Source
  Certification.scala

Linear Supertypes
IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any
Known Subclasses
AAMAX, AIMAX, ATV, AVMAX, AdvancedEngineering, AdvancedHacking, AdvancedMedical, AgileExoSuit, AirCavalryAssault, AirCavalryInterceptor, AirCavalryScout, AirSupport, AntiVehicular, ArmoredAssault1, ArmoredAssault2, AssaultBuggy, AssaultEngineering, BFRAntiAircraft, BFRAntiInfantry, BattleFrameRobotics, CombatEngineering, DataCorruption, ElectronicsExpert, EliteAssault, Engineering, ExpertHacking, Flail, FortificationEngineering, GalaxyGunship, GroundSupport, GroundTransport, Hacking, Harasser, HeavyAssault, InfiltrationSuit, LightScout, Medical, MediumAssault, Phantasm, ReinforcedExoSuit, Sniping, SpecialAssault, StandardAssault, StandardExoSuit, Switchblade, UniMAX

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Certification
2. IntEnumEntry
3. ValueEnumEntry
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val cost: Int
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val name: String
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  val replaces: Set[Certification]
18.  val requires: Set[Certification]
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  val value: Int
    Definition Classes
      Certification → ValueEnumEntry
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped